Closed Bug 955267 Opened 6 years ago Closed 6 years ago

Handle InfoServ

Categories

(Chat Core :: IRC, enhancement)

enhancement
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: clokep)

Details

Attachments

(1 file, 2 obsolete files)

*** Original post on bio 1834 at 2012-11-28 13:18:00 UTC ***

Staticbox sends a MOTD from InfoServ, which is pretty annoying:

:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :*** \u0002Message(s) of the Day\u0002 ***
:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :[\u0002StaticBox Games\u0002] Notice from dotslasher, posted 17:00 on 10/21/2011:
:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :As of now StaticBox has their own #Uno and #Trivia channel. Check them out!
:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :[\u0002Stats\u0002] Notice from dotslasher, posted 07:04 on 09/12/2011:
:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :Channel Statistics are now being offered for your channel - see http://stats.staticbox.net on how to get your own stats bot.
:InfoServ!InfoServ@services.staticbox.net NOTICE clokep :*** \u0002End of Message(s) of the Day\u0002 ***
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 1834 as attmnt 2190 at 2013-01-16 01:40:00 UTC ***

Handle InfoServ so I can stop getting annoying windows when I start Instantbird.

This handles the InfoServ messages just like the MotD from the server. (I.e. it puts it on the server tab, if the server tab is enabled.)
Attachment #8353953 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Attached patch Patch v1.1 (obsolete) — Splinter Review
*** Original post on bio 1834 as attmnt 2191 at 2013-01-16 01:44:00 UTC ***

This gets rid of unnecessary quotes for the JS object property.
Attachment #8353954 - Flags: review?(florian)
Comment on attachment 8353953 [details] [diff] [review]
Patch

*** Original change on bio 1834 attmnt 2190 at 2013-01-16 01:44:36 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353953 - Attachment is obsolete: true
Attachment #8353953 - Flags: review?(florian)
Comment on attachment 8353954 [details] [diff] [review]
Patch v1.1

*** Original change on bio 1834 attmnt 2191 at 2013-01-17 13:03:22 UTC ***

>+      else if (text == "*** \u0002End of Message(s) of the Day\u0002 ***") {
>+        if (this._showServerTab) {
>+          aAccount.getConversation(aMessage.servername)
>+                  .writeMessage(aMessage.servername,
>+                                this._infoServMotd.join("\n"),
>+                                {incoming: true});

I don't think aAccount is defined here.
Attachment #8353954 - Flags: review?(florian) → review-
Attached patch Patch v2Splinter Review
*** Original post on bio 1834 as attmnt 2202 at 2013-01-18 01:19:00 UTC ***

So the other patch didn't work...at all. Sorry about that!
Attachment #8353965 - Flags: review?(aleth)
Comment on attachment 8353954 [details] [diff] [review]
Patch v1.1

*** Original change on bio 1834 attmnt 2191 at 2013-01-18 01:19:36 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353954 - Attachment is obsolete: true
Comment on attachment 8353965 [details] [diff] [review]
Patch v2

*** Original change on bio 1834 attmnt 2202 at 2013-01-19 10:24:30 UTC ***

I haven't tested this, but it looks good to me now.
Attachment #8353965 - Flags: review?(aleth) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1834 at 2013-01-24 13:02:32 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/9157327403de

Can't wait to not x that window out twice a day! :)
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.